Name:		i3lock
Version:	2.8
Release:	%mkrel 1
Summary:	Simple X display locker like slock
License:	MIT
URL:		http://i3wm.org/i3lock
Group:		Graphical desktop/Other
Source0:	http://i3wm.org/%{name}/%{name}-%{version}.tar.bz2
Patch0:		i3lock-fix-libev-path.patch

BuildRequires:	pam-devel
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(libev)
BuildRequires:	pkgconfig(xcb-image)
BuildRequires:	pkgconfig(xkbcommon-x11)

%description
i3lock improves slock by making it fork() and therefore combinable with
commands to suspend your computer. Additionally, instead of turning off your
screen via DPMS and/or displaying a black screen, i3lock displays a white
screen so you can see if your computer failed to resume from suspend or if
your screen is just locked. Also, when entering a wrong password, i3lock does
not call XBell(). This is important because i3lock/slock think you've entered
a password when resuming from suspend, at least sometimes.

%prep
%autosetup -p1

# Make relocatable.
sed \
	-e 's|PREFIX=/usr|PREFIX=%{_prefix}|g'			\
	-e 's|SYSCONFDIR=/etc|SYSCONFDIR=%{_sysconfdir}|g'	\
	-e 's|-Wall|%{optflags}|g'				\
	-i Makefile

%build
%make_build

%install
%make_install INSTALL="install -p"
install -Dpm0644 i3lock.1 %{buildroot}%{_mandir}/man1/i3lock.1

%files
%doc CHANGELOG README*
%license LICENSE
%{_bindir}/%{name}
%{_sysconfdir}/pam.d/%{name}
%{_mandir}/man1/i3lock.1*


%changelog
* Mon Aug 08 2016 sander85 <sander85> 2.8-1.mga6
+ Revision: 1044968
- imported package i3lock

